package com.example.zxweb.controller;

import com.alibaba.fastjson.JSONObject;
import com.example.zxweb.common.api.vo.Result;
import com.example.zxweb.common.constant.enums.IotApiEnum;
import com.example.zxweb.utils.AssertUtils;
import com.example.zxweb.utils.IotUtils;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * @Description
 * @Author ZhouWenTao
 * @Date 2023/9/8 11:43
 */
@RestController
@RequestMapping("/iot")
@Slf4j
@Api(tags = "设备管理")
public class IotController {

    @ApiOperation(value = "获取单个设备信息")
    @GetMapping(value = "/devices")
    public Result<?> devices(@RequestParam(value = "serial",defaultValue = "")String serial,@RequestParam(value = "productId",defaultValue = "")String productId){
        AssertUtils.notEmpty(serial,"请输入-[serial]");
        //AssertUtils.notEmpty(productId,"请输入-[productId]");
        JSONObject requestBody=new JSONObject();
        requestBody.put("serial",serial);
        requestBody.put("productId",productId);
        //请求数据
        return Result.OK(IotUtils.getApi(IotApiEnum.getPathByText("获取单个设备信息"),requestBody));
    }
}
